\documentclass[12pt]{article}
\usepackage{amsmath}
\usepackage{esint}
\usepackage[]{graphicx}
\usepackage[margin=.875in]{geometry}
\usepackage{color}
\usepackage[font={footnotesize}]{caption}

\usepackage{listings}
\newcommand{\args}[1]{\left({#1}\right)}
\newcommand{\argsb}[1]{\left\{{#1}\right\}}
\newcommand{\argsbr}[1]{\left[{#1}\right]}
\newcommand{\norm}[1]{\left|{#1}\right|}
\newcommand{\bo}[1]{\boldsymbol{#1}}
\renewcommand{\vec}{\bo}
\newcommand{\hvec}[1]{\hat{\vec{#1}}}
\newcommand{\curl}{\vec\nabla\times}
\newcommand{\dv}{\vec\nabla\cdot}
\newcommand{\grad}{\vec\nabla}
\newcommand{\x}[1]{{\color{red}{\textbf{#1}}}}
\newcommand{\y}[1]{{\color{green}{\textbf{#1}}}}
\newcommand{\fig}[1]{Fig.~\ref{fig:#1}}
\newcommand{\Fig}[1]{Figure~\ref{fig:#1}}
\newcommand{\sfig}[1]{Supplementary Fig.~\ref{fig:#1}}

\newcommand{\code}[1]{\texttt{#1}}

\linespread{1.5}


%{$^*$Email: aksiment@illinois.edu}

%{}


\renewcommand{\abstractname}{\large ABSTRACT}



\begin{document}
%\begin{titlepage}
%\begin{center}
%\textbf{\Huge Multi-resolution simulation of {DNA} transport through large synthetic nanostructures}\\[.5cm]
%{\large Adnan Choudhary$^\dagger$, Christopher Maffeo$^{\dagger,\ddag}$ and Aleksei Aksimentiev$^{*,\dagger,\ddag}$}\\[.5cm]
%%\rule{12cm}{.06cm}
%\textit{\small $^\dagger$Department of Physics, University of Illinois at Urbana--Champaign, Urbana, IL 61801, USA}\\
%\textit{\small $^\ddag$Beckman Institute for Advanced Science and Technology, University of Illinois at Urbana-Champaign, Urbana, IL 61801, USA}\\[.5cm]
%$^*$E-mail: aksiment@illinois.edu\\[.5cm]
%\end{center}
%
%\end{titlepage}

\section*{Hands-on guide for solving 1D Fokker-Planck equation}
The usage of this code is simple. Navigate to the directory, \code{fokker\_planck}, and run \code{make code} to get the binary file \code{./bin/fpsolver}.
Run the following command to execute the one dimensional Fokker-Planck solver:
\code{./bin/fpsolver -boundary <left end point> <right end point> <number of grid points> <bc on left> <bc on right>
-potential <pmf type> <input for pmf> -diffusion <diffusion type> <input for diffusion>
-initial delta <initial condition for delta function> -run <time step> <number of steps> <output period> <file name> > fpt.txt \&}

\begin{enumerate}
\item \code{-boundary} followed by the five arguments: left end-point coordinate (\AA), right end-point coordinate (\AA), 
number of grid points to discretize the , boundary condition for the left end-point, boundary condition for the right end-point.
\begin{enumerate}
\item Absorption boundary condition: 0.
\item Reflecting boundary condition: 1.
\end{enumerate}
\item \code{-potential} followed the two the arguments: PMF types, input for the PMF.
Two types are available:
\begin{enumerate}
\item tabulated, the input file name for the tabulated PMF (kcal/mol).
\item constant, value for the constant PMF (kcal/mol).
\end{enumerate}
\item \code{-diffusion} followed the two the arguments: diffusion map types, input for the diffusion map.
Two types are available:
\begin{enumerate}
\item tabulated, the input file name for the tabulated diffusion map (\AA/fs$^2$).
\item constant, value for the constant diffusion coefficient (\AA/fs$^2$).
\end{enumerate}
\item \code{-initial} followed by the two arguments: delta and the position (\AA) for the $\delta$-function.
\item \code{-run} followed by the four arguments: time step (fs), number of total steps, period to save the output, file name 
to save the output. The output is a binary file for the solution of the Fokker-Planck equation.
\end{enumerate}
After the simulation, \code{fpt.txt} stores the first-passage time distribution. Run \code{python compute\_fpt.py fpt.txt} to 
get the mean-first passage time in ns.

Example: 
In the directory \code{example}, there are two files, \code{pmf.txt} and \code{diff.txt}. The tabulated file has the format. 
The first line is the number of rows of the tablet followed by the two-column tablet. The first column is the positions (\AA) and 
the second column is the value at each position. 

Run the following command:
\code{./bin/fpsolver -boundary -600 200 1600 1 0 -potential tabulated pmf.txt -diffusion tabulated diff.txt -initial delta -200 -run 20 1000000 1000 position.bin > fpt.txt \&}. 
This command runs simulation for one-dimensional Fokker-Planck equation in the range [-600~\AA, 200~\AA] with 1600 grid points (0.5~\AA~resolution). The total time step would be 1000000 and the 
save period is 1000. The PMF type is tabulated and the input file for PMF is \code{pmf.txt}. The diffusion map type is also tabulated and the input diffusion map is \code{diff.txt}. 
Initially the probability distribution is the $\delta$-function located at -200~\AA.
\end{document}

